@import "../../../styles/global/var";
@import "../../../styles/global/var-pages";

.p-tests-runs {
    .md-sidenav-right {
        padding-top: $page-padding-top;
        z-index: $zindex-fixed - 1;
        width: 556px;
        max-width: calc(100% - #{$sidebar-width});
        box-shadow: 0 16px 24px rgba(0, 0, 0, 0.14), 0 6px 30px rgba(0, 0, 0, 0.12), 0 8px 10px rgba(0, 0, 0, 0.2);
        @media (max-width: $screen-phone) {
            max-width: 100%;
        }
    }

    &__wizard-message {
        &-container {
            display: flex;
            align-items: center;
            justify-content: center;
            height: calc(100vh - 60px - 20px - 72px); // 60px + 20px header + padding, 72px filter height
        }

        &-wrapper {
            text-align: center;
        }

        &-icon {
            width: 66px;
            height: 66px;
            font-size: 66px;
            fill: $green-new;
            color: $green-new;
        }

        &-header {
            font-weight: 700;
            font-size: 32px;
            line-height: 40px;
            color: $green-new;
            max-width: 555px;
            text-align: center;
            margin: 20px auto 24px;
        }

        &-text {
            font-weight: 500;
            font-size: 14px;
            line-height: 24px;
            text-align: center;
        }
    }
}

.test-runs {
    &__header {
        position: relative;
        &-actions {
            &-btns {
                padding: 0 5px;
                .menu__button {
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    height: 24px;
                    min-height: 24px;
                    font-size: 0;
                    line-height: 1;
                    padding: 3px 8px;
                    color: $dark-coal-light-new;
                    border-radius: 12px;
                    border: 1px solid $gray8be;
                    background-color: $white;
                    transition: color .25s ease-in-out, background-color .25s ease-in-out, border-color .25s ease-in-out;
                    position: relative;
                    margin-right: 12px;
                    min-width: 80px;

                    .button-text {
                        font-size: 14px;
                        line-height: 1;
                        text-transform: none;
                        font-weight: 400;
                    }
                    .material-icons {
                        margin-right: -6px;
                        margin-left: auto;
                    }
                }
            }
        }
    }
    &__bulk {
        position: absolute;
        bottom: 0;
        left: 0;
        width: 100%;
        z-index: 1;
        background-color: $white;
        padding: 8px;
        transition: opacity .25s ease-in-out, visibility .25s ease-in-out;
        box-shadow: 0 -5px 25px rgba($black, 0.25), 0 1px 1px 0 $gray3e5;
        pointer-events: auto;
        opacity: 0;
        visibility: hidden;
        .md-button.md-icon-button {
            margin: 0;
            padding: 0;
            width: 24px;
            height: 24px;
            min-height: 24px;
        }
        &._active {
            pointer-events: auto;
            opacity: 1;
            visibility: visible;
            transition: none;
        }
    }
    &__test {
        &-selection {
            width: 50px;
            display: flex;
            justify-content: center;
            md-checkbox {
                margin: 0 auto;
                width: 24px;
                height: 24px;
                .md-container {
                    left: 50%;
                    transform: translate3d(-50%, -50%, 0);
                    backface-visibility: hidden;
                }
            }
        }
    }

    @media screen and (max-width: $md-screen-phone) {
        &.page {
            padding-bottom: $page-padding-bottom-with-zendesk;
        }
        &__header {
            &-actions {
                &-btns {
                    min-width: 0;
                    .zb-slim-btn,
                    .zb-slim-btn:not([disabled]) {
                        min-width: 60px;
                    }
                    .zb-slim-btn__txt {
                        min-width: 0;
                        white-space: nowrap;
                        overflow: hidden;
                        text-overflow: ellipsis;
                    }
                    .menu__button {
                        border-color: transparent;
                        margin-right: 4px;
                        min-width: 0;
                        .button-text {
                            display: none;
                        }
                        .material-icons {
                            margin-right: auto;
                        }
                    }
                }
            }
        }
        &__bulk {
            padding: 12px;
        }
        &__test {
            &-selection {
                width: 28px;
            }
        }
    }
}

.page-wrapper {
    scroll-behavior: smooth;
}
